[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: intent to package zICQ

On Tue, Feb 02, 1999 at 09:31:39AM +0000, Enrique Zanardi wrote:
> But (IIRC) Santiago himself recommends not to use debmake.

Doing a quick search on the mailing list archives, I found no such
statement from Santiago.  Indeed, Joseph Carter once put it quite well

: On Thu, Dec 17, 1998 at 06:33:59PM +0000, Julian Gilbey wrote:
: > Note that deb-make is deprecated.  Have a look at the debhelper and
: > dh-make packages instead.
: Don't say that where Santiago can here you..  =>  He's rather defensive
: about his package.  It's not been depreciated, just that many perfer
: debhelper.

... and following up later

: I shall make the popcorn and get the sodas for when Santiago hears about
: this, it should be an interesting show to say the least.  Would you like
: anything while I'm at the concession stand?  =>

... to which Santiago replied

: :-)
: Ok, I have just read the web page. It says:
:      * Creating a Package using Debmake (hopefully this and the following
:        will be merged)
:        Note: use of debmake is deprecated. Use debhelper instead. Once
:        someone writes a debhelper tutorial, it will replace the debmake
:        info on this page.
: Of course, I don't think this is 100% fair.

So, unless Santiago tells me I'm wrong, I'm assuming Santiago regards
debmake as quite usable.  And if I *am* wrong, the debmake
documentation should at least tell me I am wrong.  It doesn't now.

%%% Antti-Juhani Kaijanaho % gaia@iki.fi % http://www.iki.fi/gaia/ %%%

EMACS, n.:       Emacs May Allow Customised Screwups
                                   (unknown origin)

Reply to: